import React from 'react';
import { View, StyleSheet, TouchableOpacity } from 'react-native';
import { IconWithText } from './IconWithText';

const SegmentTab = ({ id, icon, label, selected, onPress }) => {
  const { tabStyle, tabSelectedStyle } = styles;
  const highlight = (id == selected) ? true : false;

  return (
    <TouchableOpacity onPress={onPress} style={[tabStyle, highlight ? tabSelectedStyle : {} ]}>
      <IconWithText
        text={label}
        icon={icon}
        iconSize={16}
        textSize={14}
        iconColor={highlight ? '#CD2C2E' : 'black'}
        textColor={highlight ? '#CD2C2E' : 'black'}
      />
    </TouchableOpacity>
  );
};

SegmentTab.defaultProps = {
  selected: ''
};

const styles = StyleSheet.create({
  tabStyle : {
    flex: 1,
    flexDirection: 'row',
    padding: 15,
    alignItems: 'center',
    justifyContent: 'center',
  },
  tabSelectedStyle : {
    borderBottomColor: '#CD2C2E',
    borderBottomWidth: 3,
  },
});

export { SegmentTab };
